mb_decode_mimeheader
mb_detect_encoding
Multibyte String Functions
PHP Manual

# mb_decode_numericentity

(PHP 4 >= 4.0.6, PHP 5)

mb_decode_numericentity — Decode HTML numeric string reference to character

### Description

string mb_decode_numericentity ( string `$str` , array `$convmap` , string `$encoding` )

Convert numeric string reference of string `str` in a specified block to character.

### Parameters

`str`

  The string being decoded.

`convmap`

  `convmap` is an array that specifies the code area to convert.

`encoding`

  The `encoding` parameter is the character encoding. If it is omitted, the internal character encoding value will be used.

### Return Values

The converted string .

### Examples

Example #1 `convmap` example

`$convmap = array (
int start_code1, int end_code1, int offset1, int mask1,
int start_code2, int end_code2, int offset2, int mask2,
........
int start_codeN, int end_codeN, int offsetN, int maskN );
// Specify Unicode value for start_codeN and end_codeN
// Add offsetN to value and take bit-wise 'AND' with maskN,
// then convert value to numeric string reference.`

### See Also

- mb_encode_numericentity() - Encode character to HTML numeric string reference

mb_decode_mimeheader
mb_detect_encoding
Multibyte String Functions
PHP Manual